Package commoble.looot.loot

# Class NameEnchantedItem.Serializer

java.lang.Object
net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<NameEnchantedItem>
commoble.looot.loot.NameEnchantedItem.Serializer

All Implemented Interfaces:
  `net.minecraft.world.level.storage.loot.Serializer<NameEnchantedItem>`

Enclosing class:
  NameEnchantedItem

public static class NameEnchantedItem.Serializer extends net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<NameEnchantedItem>

## Field Summary

Fields
Modifier and Type
Field
Description
`static final net.minecraft.network.chat.Style.Serializer`
`STYLE_SERIALIZER`

## Constructor Summary

Constructors
Constructor
Description
`Serializer()`

## Method Summary

Modifier and Type
Method
Description
`NameEnchantedItem`
`deserialize(com.google.gson.JsonObject object, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditionsIn)`
`void`
`serialize(com.google.gson.JsonObject jsonObject, NameEnchantedItem lootFunction, com.google.gson.JsonSerializationContext serializer)`

### Methods inherited from class net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer

`deserialize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### STYLE_SERIALIZER

public static final net.minecraft.network.chat.Style.Serializer STYLE_SERIALIZER

## Constructor Details

### Serializer

public Serializer()

## Method Details

### deserialize

public NameEnchantedItem deserialize(com.google.gson.JsonObject object, com.google.gson.JsonDeserializationContext deserializationContext, net.minecraft.world.level.storage.loot.predicates.LootItemCondition[] conditionsIn)

Specified by:
  `deserialize` in class `net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<NameEnchantedItem>`

### serialize

public void serialize(com.google.gson.JsonObject jsonObject, NameEnchantedItem lootFunction, com.google.gson.JsonSerializationContext serializer)

Specified by:
  `serialize` in interface `net.minecraft.world.level.storage.loot.Serializer<NameEnchantedItem>`
Overrides:
  `serialize` in class `net.minecraft.world.level.storage.loot.functions.LootItemConditionalFunction.Serializer<NameEnchantedItem>`